@import url("https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Inter", system-ui;
  color: #243e63;
  line-height: 1.5;
}

body {
  max-width: 100vw;
  overflow-x: hidden;
}

img {
  width: 100%;
}

li {
  list-style-type: none;
  position: relative;
}

a {
  text-decoration: none;
}

p {
  color: #7c8ba1;
  font-size: 18px;
}

.row {
  width: 100%;
  max-width: 1280px;
  margin: 0 auto;
}

.row__narrow {
  width: 100%;
  max-width: 1280px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.container {
  padding: 96px 0;
}

.purple {
  color: #6415ff;
}

section {
  padding: 0 32px;
}

main {
  margin-bottom: 96px;
}

button {
  cursor: not-allowed;
}

.btn {
  background-color: #6415ff;
  color: white;
  font-weight: 600;
  border: none;
}

.btn:hover {
  background-color: rgb(80, 17, 204);
}

.section__title {
  font-size: 48px;
  font-weight: 900;
  color: rgb(36, 62, 99);
  line-height: 1.5;
  margin: 16px 0;
}

.section__tag {
  font-size: 16px;
  color: #6415ff;
  font-weight: 700;
  text-transform: uppercase;
}

.para__narrow {
  text-align: center;
  max-width: 576px;
}

.section__description,
.img__container,
.img__wrapper {
  width: 50%;
}

/* 

NAVBAR ↓

*/

nav {
  display: flex;
  padding-top: 32px;
}

.nav__row {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nav__logo {
  display: flex;
  align-items: center;
  margin: 8px 0;
  padding-bottom: 4px;
}

.nav__logo--img {
  width: 40px;
  margin-right: 12px;
}

.nav__logo--name {
  font-weight: 900;
  font-size: 24px;
}

.nav__links,
.nav__sign-up {
  display: flex;
  align-items: center;
}

.nav__links {
  margin: auto 0;
  margin-right: 24px;
}

.nav__item {
  margin: auto 24px;
  font-weight: 600;
  font-size: 14px;
  position: relative;
  cursor: not-allowed;
  padding-bottom: 4px;
  border-bottom: 2px solid transparent;
  transition: all 300ms ease;
}

.nav__item:hover {
  border-bottom: 2px solid #6415ff;
}

.nav__item--btn {
  border: none;
}

.nav__item--btn:hover {
  border: none;
}

.nav__btn {
  padding: 10px 32px;
  margin: 0;
  border-radius: 24px;
  transition: all 300ms ease;
}

.nav__btn:hover {
  background-color: rgb(80, 17, 204);
}

.btn__menu {
  display: none;
  background: transparent;
  border: none;
  transition: all 300ms ease;
}

.btn__menu--svg:hover {
  filter: invert(26%) sepia(94%) saturate(7476%) hue-rotate(261deg)
    brightness(94%) contrast(115%);
}

.modal {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  height: 378px;
  margin: 24px 16px;
  padding: 32px;
  background-color: #fff;
  border: 1px solid rgb(229, 231, 235);
  border-radius: 8px;
  z-index: 4;
  visibility: hidden;
  opacity: 0;
  transform: translateX(300%);
  transition: all 300ms ease;
}

.modal__links {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.modal__link {
  color: #1a202c;
  font-size: 18px;
  font-weight: 600;
  line-height: 1.5;
  margin: 8px 0;
  padding-bottom: 4px;
  border-bottom: 2px solid transparent;
}

.modal__link--primary {
  color: #f7fafc;
  padding: 12px 32px;
  background: #6415ff;
  border-radius: 500px;
  border: none;
}

.menu--open .modal {
  visibility: visible;
  opacity: 1;
  transform: translateX(0);
}

.btn__menu--close {
  position: fixed;
  top: 24px;
  right: 18px;
}

/* 

HEADER / ABOUT US ↓

*/

header .row {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.header__description {
  width: 40%;
}

.header__title {
  color: black;
  font-size: 48px;
}

.header__para {
  color: #243e63;
  margin: 32px 0;
  line-height: 1.5;
}

.customers__para {
  margin-top: 80px;
  font-size: 12px;
  font-weight: 700;
  color: #a0aec0;
}

.customers__img {
  margin-top: 16px;
  padding-right: 64px;
  opacity: 0.5;
}

.header__input {
  position: relative;
  width: 100%;
  max-width: 448px;
  height: 68px;
  display: flex;
}

.header__input--email {
  width: 100%;
  padding: 20px 192px 20px 32px;
  border-radius: 500px;
  border: 2px solid rgb(229, 231, 235);
  font-size: 16px;
  font-weight: 500px;
  position: absolute;
  top: 0;
  bottom: 0;
  z-index: 1;
  transition: all 300ms ease;
}

.header__input--email:hover {
  outline: none;
  border-color: rgba(160, 174, 192);
}

.header__input--email:focus-within {
  outline: none;
  border-color: rgba(100, 21, 255);
}

.header__input--email::placeholder {
  opacity: 0.7;
}

.header__btn {
  margin: 8px;
  height: calc(100% - 16px);
  position: absolute;
  right: 0;
  cursor: not-allowed;
  border-radius: 500px;
  font-weight: 700;
  font-size: 16px;
  width: 160px;
  z-index: 2;
}

.header__img {
  width: 100%;
}

/* 

FEATURES ↓

*/

#features {
  position: relative;
}

#features .row__narrow {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.services {
  display: flex;
  flex-wrap: wrap;
}

.service {
  display: flex;
  align-items: start;
  width: calc(100% / 3);
  margin-top: 40px;
  padding: 32px 24px;
}

.service__icon--container {
  padding: 20px;
  border: 1px solid #e5e7eb;
  border-radius: 500px;
}

.service__icon {
  width: 24px;
  height: 24px;
}

.service__description {
  display: flex;
  flex-direction: column;
  margin: 8px 0 0 16px;
}

.service__para {
  margin-top: 16px;
  line-height: 2;
  font-size: 16px;
}
/* 

QUALITY WORK ↓

*/

#quality .row {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

#quality .section__description {
  padding-right: 64px;
}

.learn__btn {
  margin-top: 32px;
  padding: 12px 32px;
  border-radius: 500px;
  font-size: 14px;
  font-weight: bold;
  transition: all 300ms ease;
}

/* 

STEPS ↓

*/

#steps .row {
  display: flex;
  align-items: center;
  justify-content: center;
}

#steps .section__description {
  padding: 32px 0 32px 64px;
}

.steps {
  display: flex;
  flex-direction: column;
}

.step {
  display: flex;
  margin-top: 32px;
}

.step__number {
  color: #cbd5e0;
  font-size: 36px;
  font-weight: 600;
}

.step__description {
  margin-left: 24px;
}

.step__title {
  font-size: 20px;
  font-weight: 600;
}

.step__para {
  margin-top: 12px;
  color: #718096;
  font-size: 14px;
  line-height: 2;
  font-weight: 500;
}

/* 

VALUES ↓

*/

#values .row {
  display: flex;
  align-items: center;
}

#values .section__description {
  padding: 32px 64px 32px 0;
}

.values {
  display: flex;
}

.value {
  display: flex;
  flex-direction: column;
  margin: 32px 32px 0 0;
}

.value__header {
  display: flex;
  align-items: center;
}

.value__icon {
  width: 36px;
  height: 36px;
  border-radius: 50%;
  background-color: #9ae6b4;
  display: flex;
  justify-content: center;
  align-items: center;
}

.value__title {
  margin-left: 12px;
  font-size: 20px;
  font-weight: bold;
}

.icon {
  width: 20px;
  height: 20px;
}

.icon__red {
  background-color: #feb2b2;
}

/*

PRICING ↓

*/

#pricing .row__narrow {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.plans__wrapper {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  padding-top: 64px;
}

.plan__container {
  width: calc(100% / 3);
}

.plan {
  width: calc(100% - 32px);
  text-align: center;
  border: 1px solid rgb(229, 231, 235);
  border-radius: 12px;
  border-top: hidden;
  overflow: hidden;
}

.top__stripe {
  border: none;
  background: linear-gradient(
    115deg,
    rgb(56, 178, 172) 0%,
    rgb(129, 230, 217) 100%
  );
  height: 12px;
}

.stripe__dark-blue {
  background: none;
}

.plan__line {
  height: 1px;
  border: none;
  background-color: rgb(229, 231, 235);
}

.plan__name,
.plan__cost,
.plan__recurrence,
.plan__audience,
.btn__price {
  font-weight: bold;
}

.plan__name,
.plan__cost,
.plan__audience {
  color: black;
}

.plan__name {
  margin-top: 32px;
  font-size: 20px;
}

.plan__cost {
  font-size: 48px;
}

.plan__recurrence {
  font-size: 16px;
  margin-bottom: 32px;
}

.plan__audience {
  margin-top: 32px;
}

.plan__audience {
  font-size: 20px;
}

.plan__features {
  margin-top: 24px;
  font-size: 16px;
}

.last__feature {
  margin-bottom: 24px;
}

.btn__price {
  margin: 32px 0;
  padding: 16px 48px;
  border: none;
  border-radius: 500px;
  background: linear-gradient(
    115deg,
    rgb(56, 178, 172) 0%,
    rgb(129, 230, 217) 100%
  );
  color: white;
  transition: all 300ms ease;
}

.btn__price:hover {
  transform: translate(1px, -1px);
  box-shadow:
    rgba(0, 0, 0, 0) 0px 0px 0px 0px,
    rgba(0, 0, 0, 0) 0px 0px 0px 0px,
    rgba(0, 0, 0, 0.1) 0px 20px 25px -5px,
    rgba(0, 0, 0, 0.04) 0px 10px 10px -5px;
}

.plan__alt {
  background: linear-gradient(
    135deg,
    rgb(76, 81, 191) 0%,
    rgb(102, 126, 234) 100%
  );
}

.text__alt {
  color: white;
}

.line__alt {
  background-color: rgb(102, 126, 234);
}

.btn-2 {
  background: white;
  color: #6415ff;
}

.stripe-coral,
.btn-3 {
  background: linear-gradient(
    115deg,
    rgb(245, 101, 101) 0%,
    rgb(254, 178, 178) 100%
  );
}

/* 
    
    TESTIMONIALS ↓
    
    */

#testimonials .row {
  display: flex;
  align-items: center;
}

#testimonials .img__container {
  padding-right: 64px;
}

.rating {
  margin-top: 44px;
}

.fa-star {
  color: rgb(246 173 85);
}

.rating__title {
  margin-top: 16px;
  font-size: 20px;
  font-weight: 700;
}

.rating__para {
  margin: 16px 0 32px 0;
  font-size: 16px;
  color: rgb(74 85 104);
}

.user {
  display: flex;
  width: 100%;
  justify-content: space-between;
}

.profile {
  display: flex;
  align-items: center;
}

.profile__pic img {
  border-radius: 500px;
  width: 80px;
  height: 80px;
  margin-right: 24px;
}

.profile__name {
  color: #4a5568;
  font-size: 20px;
  font-weight: 700;
}

.scroll {
  display: flex;
  align-items: center;
}

.scroll__container {
  width: 48px;
  height: 48px;
  border: none;
  margin: 0 12px;
  border-radius: 50%;
  background-color: #edf2f7;
  padding: 16px;
  transition: all 300ms ease;
}

.scroll i {
  width: 100%;
  color: #6415ff;
}

.divider {
  border-right-width: 1px;
  width: 0.5px;
  background-color: #edf2f7;
  height: 20px;
}

.scroll__container:hover {
  background-color: rgb(229, 231, 235);
}

/* 
    
    START / CALL TO ACTION ↓
    
    */

#start .row {
  position: relative;
  overflow: hidden;
}

.action__container {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #6415ff;
  border-radius: 8px;
  padding: 96px 32px;
  margin: 0 auto;
}

.action__title {
  color: white;
  font-size: 30px;
  width: 50%;
}

.start__btn,
.contact__btn {
  padding: 20px 40px;
  border-radius: 500px;
  font-size: 16px;
  font-weight: 700;
  transition: all 300ms ease;
}

.start__btn {
  background: #f56565;
  margin-right: 32px;
}

.start__btn:hover {
  background-color: rgba(229, 62, 62);
}

.contact__btn {
  border: 0.5px solid white;
}

.contact__btn:hover {
  background-color: white;
  color: #6415ff;
}

/* 

FOOTER ↓

*/

footer {
  padding: 96px 32px;
  background-color: rgb(100, 21, 255);
  margin-bottom: -32px;
  position: relative;
  overflow: hidden;
}

.footer__row {
  display: flex;
  flex-direction: column;
}
.columns__container {
  display: flex;
  justify-content: space-between;
}

.column__title,
.column__link a {
  color: white;
}

.column__title {
  margin-bottom: 12px;
  font-weight: 700;
  text-transform: uppercase;
}

.column__link {
  margin-top: 12px;
}

.column__link a {
  font-size: 14px;
  padding-bottom: 4px;
  border-bottom: 2px solid transparent;
  transition: all 300ms ease;
}

.column__link a:hover {
  border-bottom: 2px solid white;
}

.footer__row a {
  cursor: not-allowed;
}

.footer__line {
  margin: 64px 0;
  border: 1px solid rgb(116, 44, 255);
}

.footer__boot {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.logo__container {
  display: flex;
  align-items: center;
}

.logo__img {
  height: 32px;
  width: 32px;
}

.logo__name {
  margin-left: 8px;
  font-size: 20px;
  font-weight: 900;
  letter-spacing: 1px;
  color: white;
}

.copyright {
  color: #cbd5e0;
}

.socials__container {
  display: flex;
}

.social__link {
  background-color: white;
  padding: 8px;
  border-radius: 500px;
  margin-left: 16px;
  display: flex;
  justify-content: center;
  transition: all 300ms ease;
}

.social__link:hover {
  background-color: rgba(203, 213, 224);
}

.social__icon {
  width: 16px;
  height: 16px;
}

/* 

MOBILE RESPONSIVENESS ↓

*/

@media (max-width: 1280px) {
  header .row {
    align-items: flex-end;
  }

  .header__title {
    font-size: 36px;
  }
}

@media (max-width: 1024px) {
  p {
    font-size: 16px;
  }

  .nav__links {
    display: none;
  }
  .btn__menu {
    display: block;
  }
  header .row {
    flex-direction: column;
  }

  .header__description,
  .img__container {
    justify-content: center;
    align-items: center;
    text-align: center;
    width: 100%;
    max-width: 512px;
    margin: 0 auto;
  }

  .header__title {
    font-size: 30px;
  }

  .header__para {
    margin: 20px 0;
    font-size: 16px;
  }
  .header__input {
    margin: 0 auto;
  }

  .customers__para {
    margin-top: 48px;
  }
  .customers__img {
    margin-top: 12px;
    padding: 0;
  }

  .header__img {
    margin-top: 48px;
  }

  #features .section__title,
  #pricing .section__title {
    text-align: center;
    font-size: 48px;
  }

  .services {
    justify-content: center;
    align-items: center;
  }

  .service {
    width: 50%;
    padding: 32px;
  }

  .section__title {
    font-size: 36px;
  }

  .values {
    flex-direction: column;
  }

  .value {
    margin: 32px 32px 0 0;
  }

  .plan__container {
    display: flex;
    justify-content: center;
    width: 100%;
    margin: 0 auto;
  }

  .plan {
    max-width: 384px;
  }

  .plan__container:not(:first-child) {
    margin-top: 48px;
  }

  .action__container {
    flex-direction: column;
    text-align: center;
  }
  .action__buttons {
    margin-top: 24px;
  }

  footer {
    padding: 80px 32px;
  }
}

@media (max-width: 768px) {
  #quality .row,
  #values .row {
    flex-direction: column-reverse;
  }
  #steps .row,
  #testimonials .row {
    flex-direction: column;
    align-items: center;
  }
  #pricing .row {
    margin-top: 40px;
  }

  p {
    font-size: 14px;
  }
  .section__title {
    line-height: 1.25;
  }
  .img__wrapper,
  .section__description {
    max-width: 448px;
    width: 100%;
    text-align: center;
  }

  #testimonials .img__container {
    padding-right: 0;
  }

  .service {
    width: auto;
    max-width: 384px;
  }

  #quality .section__description {
    padding-right: 0;
  }
  #values .section__description {
    padding: 0;
    padding-top: 32px;
  }
  #steps .section__description {
    padding-left: 0;
  }

  .step {
    flex-direction: column;
  }

  .step:first-child {
    margin-top: 0;
  }

  .step__description {
    margin-left: 0;
  }

  .action__title {
    width: 80%;
  }

  .columns__container {
    display: flex;
    flex-wrap: wrap;
    justify-content: start;
    text-align: center;
  }

  .footer__columns {
    margin-top: 32px;
    width: calc(100% / 3);
  }

  .footer__boot {
    flex-direction: column;
  }

  .copyright,
  .socials__container {
    margin-top: 32px;
  }
}

@media (max-width: 640px) {
  .container {
    padding: 80px 0;
  }
  .nav__logo {
    margin: 8px 0;
    padding-bottom: 4px;
  }
  main {
    margin-bottom: 80px;
  }

  .header__input {
    display: flex;
    flex-direction: column;
    align-items: center;
    height: auto;
  }

  .header__input--email {
    position: static;
    padding-right: 32px;
  }

  .header__btn {
    position: static;
    width: 100%;
    padding: 16px 0;
  }

  .service {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .service__icon--container {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  #values .section__description {
    padding-right: 0;
  }

  .value {
    margin: 32px auto 0 auto;
    max-width: 320px;
    align-items: center;
  }

  .value__para {
    margin-top: 12px;
  }

  .user,
  .profile {
    flex-direction: column;
    align-items: center;
  }

  .profile__pic img {
    margin: 0;
    height: 64px;
    width: 64px;
  }

  .scroll {
    margin-top: 32px;
  }

  .action__title {
    font-size: 24px;
  }
  .action__buttons {
    display: flex;
    flex-direction: column;
    gap: 8px;
  }
  .start__btn {
    margin: 0;
  }

  .footer__columns {
    width: 50%;
  }
}
